import QtQuick 1.0

Rectangle {
    id: bg
    width: 360
    height: 360

    Rectangle {
        id: rect
        x: 20
        y: 218
        width: 50
        height: 50
        color: "red"

        MouseArea {
            anchors.fill: parent

            onClicked: {
                rect.color="blue"
                rect.x=bg.width-rect.width-20
            }
        }

        Behavior on x {
            NumberAnimation { duration: 1000; easing.type: Easing.InOutCubic }
        }

        Behavior on color {
            ColorAnimation { duration: 1000; easing.type: Easing.InOutCubic }
        }
    }
}
