import QtQuick 1.0

Rectangle {
    id: bg
    width: 360
    height: 360

    Rectangle {
        id: rect
        x: 20
        y: 218
        width: 50
        height: 50
        color: "red"

        MouseArea {
            anchors.fill: parent

            onClicked: bg.state = bg.state=='dreta' ? 'esquerra' : 'dreta'
        }

        Behavior on x {
            NumberAnimation { duration: 1000; easing.type: Easing.InOutCubic }
        }

        Behavior on color {
            ColorAnimation { duration: 1000; easing.type: Easing.InOutCubic }
        }
    }

    states: [
        State {
            name: "dreta"
            PropertyChanges { target: rect; x: 280 }
            PropertyChanges { target: rect; color: "blue" }
        },

        State {
            name: "esquerra"
            PropertyChanges { target: rect; x: 20 }
            PropertyChanges { target: rect; color: "red" }
        }
    ]
}
